Bug 1257743 - a default dhclient.conf needed or alert user to create one; LAN dhcp errors
a default dhclient.conf needed or alert user to create one; LAN dhcp errors
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-27 16:15 EDT by Ronald L Humble
Modified: 2016-12-20 09:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:29:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ronald L Humble 2015-08-27 16:15:20 EDT
Description of problem: Missing /etc/dhcp/dhclient.conf causes wild assignment of dynamic IP addresses in spite of router DHCP server configuration to dynamically assign the same IP to the same hardware.


Version-Release number of selected component (if applicable):
dhcp-client-4.3.3-0.1b1.fc23.x86_64

How reproducible: router dhcp server set to assign the same IP to the same hardware via dhcp. Missing dhclient.conf causes erratic unexpected IP assignments.


Steps to Reproduce:
1. Configure router dhcp server to assign the same hardware the same IP address
2. Missing dhclient.conf causes unexpected IP assignment.
3.

Actual results:
"host" command on LAN addresses or 127.0.0.1 produces erroneous results. Client/server software such as BackupPC and Apache fail to work reliably due to variable IP assignment to server hardware.

Expected results: router's dhcp server assigns IP addresses to specific hardware as expected when properly configured. Client/server programs work as expected before and after reboots of the server.


Additional info:
http://www.linuxquestions.org/questions/linux-hardware-18/2wire-at-and-t-router-lan-dns-table-lookup-error-4175420691/

dhclient.conf file containing one line:
send dhcp-client-identifier = hardware;
fixes my problem (though this is surely too simple). My router properly provides the IP address configured in the router dhcp server. As long as ALL clients using dhcp have a dhclient.conf file, all networking LAN and WAN work as expected.

If a default conf file is not provided, the user should perhaps be alerted to create one.
Comment 1 Jiri Popelka 2015-08-28 06:34:32 EDT
Looks like duplicate of bug #1154200.

tl;dr: We now send client-identifier per RFC 4361, but some routers seem to have problems with that.
Comment 2 Fedora End Of Life 2016-11-24 07:23:49 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 09:29:59 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.